libzypp: zyppng::sat::detail::SolvableIterator Class Reference

libzypp 17.38.14

zyppng::sat::detail::SolvableIterator Class Reference

Iterate over valid Solvables in the pool. More...

`#include <zypp/ng/sat/solvable.h>`

## Public Types
using | iterator_category = std::forward_iterator_tag
using | value_type = Solvable
using | difference_type = std::ptrdiff_t
using | pointer = void
using | reference = const Solvable

## Public Member Functions
| SolvableIterator ()
| SolvableIterator (const Solvable &val_r)
| SolvableIterator (SolvableIdType id_r)
reference | operator* () const
SolvableIterator & | operator++ ()
SolvableIterator | operator++ (int)
bool | operator== (const SolvableIterator &rhs) const
bool | operator!= (const SolvableIterator &rhs) const
CSolvable *const & | base () const

## Private Member Functions
void | increment ()
void | initialAssignVal (const Solvable &val_r)
void | assignVal (const Solvable &val_r)

## Private Attributes
CSolvable * | _base
Solvable | _val

## Detailed Description

Iterate over valid Solvables in the pool.

If the Solvable passed to the ctor is not valid, advance to the next valid solvable (or Solvable::noSolvable if the end is reached,

Definition at line 414 of file solvable.h.

## Member Typedef Documentation

## ◆ iterator_category

using zyppng::sat::detail::SolvableIterator::iterator_category = std::forward_iterator_tag

Definition at line 417 of file solvable.h.

## ◆ value_type

using zyppng::sat::detail::SolvableIterator::value_type = Solvable

Definition at line 418 of file solvable.h.

## ◆ difference_type

using zyppng::sat::detail::SolvableIterator::difference_type = std::ptrdiff_t

Definition at line 419 of file solvable.h.

## ◆ pointer

using zyppng::sat::detail::SolvableIterator::pointer = void

Definition at line 420 of file solvable.h.

## ◆ reference

using zyppng::sat::detail::SolvableIterator::reference = const Solvable

Definition at line 421 of file solvable.h.

## Constructor & Destructor Documentation

## ◆ SolvableIterator() [1/3]

zyppng::sat::detail::SolvableIterator::SolvableIterator | ( |  | ) |
| inline

Definition at line 423 of file solvable.h.

## ◆ SolvableIterator() [2/3]

zyppng::sat::detail::SolvableIterator::SolvableIterator | ( | const Solvable & | val_r | ) |
| inlineexplicit

Definition at line 427 of file solvable.h.

## ◆ SolvableIterator() [3/3]

zyppng::sat::detail::SolvableIterator::SolvableIterator | ( | SolvableIdType | id_r | ) |
| inlineexplicit

Definition at line 431 of file solvable.h.

## Member Function Documentation

## ◆ operator*()

reference zyppng::sat::detail::SolvableIterator::operator* | ( |  | ) | const
| inline

Definition at line 435 of file solvable.h.

## ◆ operator++() [1/2]

SolvableIterator & zyppng::sat::detail::SolvableIterator::operator++ | ( |  | ) |
| inline

Definition at line 438 of file solvable.h.

## ◆ operator++() [2/2]

SolvableIterator zyppng::sat::detail::SolvableIterator::operator++ | ( | int |  | ) |
| inline

Definition at line 441 of file solvable.h.

## ◆ operator==()

bool zyppng::sat::detail::SolvableIterator::operator== | ( | const SolvableIterator & | rhs | ) | const
| inline

Definition at line 444 of file solvable.h.

## ◆ operator!=()

bool zyppng::sat::detail::SolvableIterator::operator!= | ( | const SolvableIterator & | rhs | ) | const
| inline

Definition at line 447 of file solvable.h.

## ◆ base()

CSolvable *const & zyppng::sat::detail::SolvableIterator::base | ( |  | ) | const
| inline

Definition at line 450 of file solvable.h.

## ◆ increment()

void zyppng::sat::detail::SolvableIterator::increment | ( |  | ) |
| inlineprivate

Definition at line 454 of file solvable.h.

## ◆ initialAssignVal()

void zyppng::sat::detail::SolvableIterator::initialAssignVal | ( | const Solvable & | val_r | ) |
| inlineprivate

Definition at line 457 of file solvable.h.

## ◆ assignVal()

void zyppng::sat::detail::SolvableIterator::assignVal | ( | const Solvable & | val_r | ) |
| inlineprivate

Definition at line 460 of file solvable.h.

## Member Data Documentation

## ◆ _base

CSolvable* zyppng::sat::detail::SolvableIterator::_base
| private

Definition at line 463 of file solvable.h.

## ◆ _val

Solvable zyppng::sat::detail::SolvableIterator::_val
| private

Definition at line 464 of file solvable.h.

The documentation for this class was generated from the following file:

- zypp/ng/sat/solvable.h